(defun C:SSGRID()
  (prompt "\nSlideShow Grid v3.0, by HMF CONSULTING (215) 275-9866")
  (prompt "\n-----------------------------------------------------")
  (setq NROW (getint "\nROWS: ")
        NCOL (getint "\nCOLUMNS: ")
        LEN (car (getvar "VSMAX"))
        WID (cadr (getvar "VSMAX"))
        PLL (list 0.0 0.0)
        PLR (list LEN 0.0)
        PUR (list LEN WID)
        PUL (list 0.0 WID)
        TH (/ WID 4.0)
  )
  (setvar "cmdecho" 0)
  (setvar "blipmode" 0)
  (command ".layer" "m" "ssgrid" "c" "y" "" "")
  (command ".pline" PLL PLR PUR PUL "c")
  (command ".array" "l" "" "r" NROW NCOL WID LEN)

;--- ZOOM each grid and assign VIEW name

  (setq IROW 1)
  (while (<= IROW NROW)
     (setq ICOL 1)
     (while (<= ICOL NCOL)
            (setq PLL (list (* LEN (- ICOL 1)) (* WID (- IROW 1)))
                  PUR (list (* LEN ICOL) (* WID IROW))
            )
            (command ".zoom" "w" PLL PUR)
            (setq TP (getvar "VIEWCTR")
                  TX (strcat (itoa IROW) "-" (itoa ICOL))
            )
            (command ".text" "m" TP TH "0" TX)
            (prompt (strcat "\n*** Processing grid " TX))
            (command ".view" "s" TX)
        (setq ICOL (1+ ICOL))
      )                             ;--- end column loop
      (setq IROW (1+ IROW))
  )                                 ;--- end row loop
  (setvar "cmdecho" 1)
  (command ".zoom" "a")
  (command ".layer" "s" "0" "")
  (prin1)
)
